//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "PopPassDlg.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TPassDlg *PassDlg;
//---------------------------------------------------------------------------
AnsiString __fastcall GetPopPassword(TForm *Owner, AnsiString &Account,
   bool &Cancel)//, bool &Remember)
{
   AnsiString pass;
   PassDlg = new TPassDlg(Owner);
   PassDlg->Label3->Caption = Account;
   PassDlg->ShowModal();
   if (PassDlg->ModalResult==mrOk)
   {
      //Remember = PassDlg->RememberBox->Checked;
      pass = PassDlg->Password->Text;
   }
   Cancel = PassDlg->ModalResult==mrCancel;
   delete PassDlg;
   return pass;
}
//---------------------------------------------------------------------------
__fastcall TPassDlg::TPassDlg(TComponent* Owner)
  : TForm(Owner)
{
   TForm *MF = (TForm*)Owner; TForm *CF = this;
   CF->Top = MF->Top+((MF->Height-CF->Height)/2);
   CF->Left = MF->Left+((MF->Width-CF->Width)/2);
}
//---------------------------------------------------------------------------
void __fastcall TPassDlg::HideBoxClick(TObject *Sender)
{
   Password->PasswordChar = HideBox->Checked ? '*' : '\0';
}
//---------------------------------------------------------------------------
void __fastcall TPassDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrOk && !Password->Text.Length())
   {
      MessageBox(Handle,"A password is required!","Password Problem",MB_OK);
      CanClose = false;
   }
}
//---------------------------------------------------------------------------
