//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "SaveDlg.h"
#include "FileMan.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma link "OldOpenDlg"
#pragma resource "*.dfm"
TSaveForm *SaveForm;
//---------------------------------------------------------------------------
AnsiString __fastcall GetSaveMessagePathEx(AnsiString &Sections, AnsiString &CurName)
{
   AnsiString path;
   SaveForm = new TSaveForm(CurName,Application->MainForm);
   TComboBox* cb = SaveForm->LookInBox;

   cb->Clear();
   cb->Items->Text = Sections;
   cb->ItemIndex = 0;
   SaveForm->mode = "Save ";
   SaveForm->ShowModal();
   if (SaveForm->ModalResult==mrOk)
      path = cb->Text+PS+SaveForm->Name->Text;
   delete SaveForm;
   return path;
}
//---------------------------------------------------------------------------
AnsiString __fastcall GetSaveMessagePath(AnsiString &Section, AnsiString &CurName)
{
   AnsiString path;
   bool only = Section.LowerCase().Pos("only")>0;
   if (only) Section.SetLength(Section.Length()-4);
   SaveForm = new TSaveForm(CurName,Application->MainForm);
   TStrings* items = SaveForm->LookInBox->Items;
   SaveForm->LookInBox->Sorted = true;

   SaveForm->LookInBox->Clear();
   if (Section==UserNotes && only) items->Add(UserNotes); else
   if (Section==UserTemplates && only) items->Add(UserTemplates); else
   if (Section==UserMessages && only) items->Add(UserMessages);
   else
   {
      items->Add(UserTemplates);
      items->Add(UserMessages);
      items->Add(UserNotes);
   }

   //   if (Section!=UserTemplates)
//   {
//      items->Add(UserNotes);
//      items->Add(UserMessages);
//      if (items->IndexOf(Section)<0) items->Add(Section);
//   }
//   }
   SaveForm->LookInBox->ItemIndex = SaveForm->LookInBox->Items->IndexOf(Section);
   SaveForm->mode = "Save ";
   SaveForm->ShowModal();
   if (SaveForm->ModalResult==mrOk)
      path = SaveForm->LookInBox->Text+PS+SaveForm->Name->Text;
   delete SaveForm;
   return path;
}
//---------------------------------------------------------------------------
__fastcall TSaveForm::TSaveForm(TComponent* Owner)
   : TOpenForm(Owner)
{
}
//---------------------------------------------------------------------------
__fastcall TSaveForm::TSaveForm(AnsiString &CurName, TComponent* Owner)
   : TOpenForm(Owner)
{
   Name->Text=CurName;
   Name->SelectAll();
//   sm("shit");
}
//---------------------------------------------------------------------------
void __fastcall TSaveForm::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrCancel) { Name->Clear(); return; }

   TStringList *msgs = new TStringList();
   GetAppData(msgs,DatSection());
   if (msgs->IndexOf(Name->Text)>=0)
   {
      AnsiString msgstr = "The message \"";
      if (DatSection()==UserNotes) msgstr = "The note \""; else
      if (DatSection()==UserTemplates) msgstr = "The Template \"";
      if (MsgBoxHwnd(Handle,msgstr+Name->Text+"\" already exists!\n\nOverwrite?",
         "Duplicate Name",MB_OKCANCEL)==IDCANCEL)
      {
         ActiveControl = Name;
         CanClose = false;
         Name->Clear();
         return;
      }
   }
   delete msgs;
}
//---------------------------------------------------------------------------
